org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming

## Interface FilteredNameProvider

All Superinterfaces:
  NameProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public interface FilteredNameProvider
    extends NameProvider

An extension to `NameProvider` that adds a way to filter elements before the `getName` method is called.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `filter(java.lang.String metaclass)` Deprecated.

### Methods inherited from interface org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming.NameProvider

`getName`

### Method Detail

#### filter

    boolean filter(java.lang.String metaclass)

Deprecated.

Returns:
  whether this `NameProvider` filters the given metaclass